#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1500five4xi.py">
#<abstract4xi abstract = "fires to direction five and to distance 1500"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2five4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2FIVE - COORDINATE SIGNS OF SHOOT2FIVE4XI: (X - ,Y + ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2five15004xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2five15004xi = {
                1: '-1021x504y975z',
                2: '-1036x598y904z',
                3: '-1041x1013y370z',
                4: '-1055x454y964z',
                5: '-106x1009y1104z',
                6: '-1074x547y892z',
                7: '-1086x401y952z',
                8: '-108x0y1496z',
                9: '-1096x960y355z',
                10: '-1109x493y880z',
                11: '-1115x347y941z',
                12: '-1140x290y929z',
                13: '-1142x438y868z',
                14: '-1147x903y340z',
                15: '-1163x232y917z',
                16: '-1171x380y855z',
                17: '-1183x172y905z',
                18: '-1196x844y326z',
                19: '-1198x321y843z',
                20: '-1199x111y893z',
                21: '-1221x259y831z',
                22: '-1241x196y818z',
                23: '-1241x782y311z',
                24: '-124x471y1418z',
                25: '-1258x132y805z',
                26: '-1271x66y793z',
                27: '-1280x0y780z',
                28: '-1283x717y296z',
                29: '-1293x51y940z',
                30: '-1321x650y282z',
                31: '-1356x582y267z',
                32: '-1387x511y252z',
                33: '-1414x438y237z',
                34: '-1437x364y223z',
                35: '-1457x289y208z',
                36: '-1472x212y193z',
                37: '-1483x135y178z',
                38: '-1489x57y163z',
                39: '-153x478y1413z',
                40: '-159x932y1163z',
                41: '-160x1013y1093z',
                42: '-164x1383y555z',
                43: '-17x5y1499z',
                44: '-183x482y1408z',
                45: '-210x934y1154z',
                46: '-214x485y1403z',
                47: '-215x1014y1083z',
                48: '-237x1378y541z',
                49: '-245x485y1397z',
                50: '-262x933y1144z',
                51: '-271x1012y1073z',
                52: '-277x484y1392z',
                53: '-310x1369y527z',
                54: '-310x480y1386z',
                55: '-314x928y1135z',
                56: '-327x1006y1062z',
                57: '-32x8y1499z',
                58: '-343x475y1380z',
                59: '-366x921y1125z',
                60: '-376x467y1374z',
                61: '-383x1356y513z',
                62: '-383x998y1051z',
                63: '-3x1y1499z',
                64: '-409x457y1368z',
                65: '-419x911y1115z',
                66: '-439x986y1041z',
                67: '-442x444y1362z',
                68: '-455x1339y499z',
                69: '-45x443y1432z',
                70: '-471x897y1105z',
                71: '-474x430y1356z',
                72: '-47x10y1499z',
                73: '-494x971y1030z',
                74: '-507x413y1349z',
                75: '-523x881y1094z',
                76: '-526x1318y485z',
                77: '-539x394y1343z',
                78: '-550x952y1019z',
                79: '-570x372y1336z',
                80: '-575x861y1084z',
                81: '-596x1293y470z',
                82: '-600x349y1329z',
                83: '-604x931y1008z',
                84: '-625x839y1074z',
                85: '-629x323y1322z',
                86: '-62x10y1498z',
                87: '-657x295y1315z',
                88: '-658x906y997z',
                89: '-665x1264y456z',
                90: '-675x813y1063z',
                91: '-684x265y1308z',
                92: '-709x233y1300z',
                93: '-70x454y1427z',
                94: '-711x878y985z',
                95: '-724x784y1053z',
                96: '-733x1231y442z',
                97: '-733x199y1293z',
                98: '-755x163y1285z',
                99: '-762x847y974z',
                100: '-772x753y1042z',
                101: '-775x125y1277z',
                102: '-78x8y1497z',
                103: '-794x86y1269z',
                104: '-799x1195y427z',
                105: '-810x45y1261z',
                106: '-813x813y963z',
                107: '-818x718y1031z',
                108: '-823x2y1253z',
                109: '-861x775y951z',
                110: '-862x681y1020z',
                111: '-863x1154y413z',
                112: '-905x640y1009z',
                113: '-908x735y939z',
                114: '-925x1111y399z',
                115: '-93x5y1497z',
                116: '-946x598y998z',
                117: '-953x692y928z',
                118: '-97x463y1423z',
                119: '-984x1064y384z',
                120: '-985x552y987z',
                121: '-995x646y916z'}

#"
#"/>

# ----------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire1500five4xi" usage = "target function for charge15004xi4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# ----------------------------------------------------------------------------------------------------------------
def fire1500five4xi(queue2five, consumer_channel2five, publisher_channel2five):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1500FIVE4XIFIVE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1500FIVE4XIFIVE4XI -  QUEUE2FIVE: ", queue2five)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1500FIVE4XIFIVE4XI -  CONSUMER_CHANNEL2FIVE: ", consumer_channel2five)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1500FIVE4XIFIVE4XI -  PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1500FIVE4XIFIVE4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2five.put(shot2five15004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1500FIVE4XIFIVE4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1500FIVE4XIFIVE4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1500FIVE4XIFIVE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2five8shot2five15004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2five8shot2five15004xi</nack2put4xi>" 
            
        publisher_channel2five.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1500FIVE4XIFIVE4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE1500FIVE4XIFIVE4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1500FIVE4XIFIVE4XI - RETURNING QUEUE OBJECT QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi())  
        # 
            
    return queue2five    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1500five4xi.py                             
# -------------------------------------------------------------------------------------------------                